/*内部交易生成分录编码规则 added by bin_l at 2023-06-20 */
IF NOT EXISTS(SELECT 1 FROM t_cr_coderule WHERE FID = '38E17BT6F/1+')
INSERT INTO t_cr_coderule(FID,FSPLITSIGN,FCTRLMODE,FEXAMPLE,FAPPMODE,FDISABLEDATE,FMASTERID,FSTATUS,FNUMBER,FRULETYPE,FEXAMPLELENGTH,FCREATETIME,FBIZOBJECTID,FENABLE,FMODIFIERID,FISUPDATERECOVER,FMODIFYTIME,FCREATORID,FDISABLERID) VALUES ('38E17BT6F/1+','-','1',' ','2',NULL,'38E17BT6F/1+','C','38E139N+DFWB',NULL,' ',{ts'2023-04-27  00:00:00'},'bcm_intrreportentity','1',1630364187978906624,'0',{ts'2023-04-27  00:00:00'},0,NULL); 

IF NOT EXISTS(SELECT 1 FROM t_cr_coderule_l WHERE FPKID = '38E17BT=25VS')
INSERT INTO t_cr_coderule_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('38E17BT6F/1+','38E17BT=25VS','zh_CN','内部交易报告实体'); 

IF NOT EXISTS(SELECT 1 FROM t_cr_coderuleentry WHERE FENTRYID = '38E17BXYC5W4')
INSERT INTO t_cr_coderuleentry(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FSETTINGVALUE,FADDSTYLE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('38E17BT6F/1+',1,'1',' ','0','38E17BXYC5W4',1,'1','1',0,8,'1','JY',' ','1',' ','0',' '); 
IF NOT EXISTS(SELECT 1 FROM t_cr_coderuleentry WHERE FENTRYID = '38E17BXYC5W5')
INSERT INTO t_cr_coderuleentry(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FSETTINGVALUE,FADDSTYLE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('38E17BT6F/1+',1,'9',' ','0','38E17BXYC5W5',1,'1',' ',1,8,'1','yyyyMMdd',' ','1',' ','0',' ');
IF NOT EXISTS(SELECT 1 FROM t_cr_coderuleentry WHERE FENTRYID = '38E17BXYC5W6')
INSERT INTO t_cr_coderuleentry(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FSETTINGVALUE,FADDSTYLE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('38E17BT6F/1+',1,'10',' ','0','38E17BXYC5W6',1,'1',' ',2,8,'1',' ',' ','1',' ','0',' ');